use leptos::*;
use leptos_icons::FaIcon::{FaGithubBrands, FaLinkedinBrands, FaEnvelopeSolid};
use leptos_icons::*;

use super::*;

#[component]
pub fn TopComponent() -> impl IntoView {
    view! {
        <div class="top_component">
            <div class="top_component__image">
                <img src="https://devemyhg.lycee-darchicourt.net/wp-content/uploads/2018/01/No-picture.png" alt="Ma photo" />
            </div>
            <div class="top_component__presentation">
                <h1>Florian RICHER</h1>
                <h4>"Développeur d´application Web et Mobile"</h4>
                <p>
                    r#"
                    Découvrez mon parcours en développement, où ma passion précoce pour la programmation a débuté avec la
                    création d'applications 3D utilisant OpenGL et s'est étendue à la maîtrise de diverses technologies,
                    notamment le développement Web avec React, Ruby on Rails, Symfony, Tailwindcss et Bootstrap, la réalisation
                    d'applications mobiles avec Flutter et le développement système en Rust, toujours animé par mon désir
                    inépuisable d'apprendre et ma curiosité sans bornes.
                    "#
                </p>
                <div class="top_component__actions">
                    <a href="/experience".to_string()>Mon parcours</a>
                    <a href="/posts".to_string()>Mon blog</a>
                </div>
                <SocialLinkContainer>
                    <SocialLink icon=Icon::from(FaGithubBrands) url="https://github.com/mrdev023".to_string()>Github</SocialLink>
                    <SocialLink icon=Icon::from(FaLinkedinBrands) url="https://www.linkedin.com/in/florian-richer-80960b129/".to_string()>Linkedin</SocialLink>
                    <SocialLink icon=Icon::from(FaEnvelopeSolid) url="mailto:florian.richer@protonmail.com".to_string()>Mail</SocialLink>
                </SocialLinkContainer>
            </div>
        </div>
    }
}